Cancel a transfer request
Permissions required: Transfer funds
Cancel a transfer request. Transfer requests in the QUEUED state can always be cancelled. Transfer requests in the IN_PROGRESS state can sometimes be cancelled if the request has not been broadcast on the blockchain. Trying to cancel a request that cannot be cancelled will return a 409 Conflict error code. Transfers can only be canceled by the API key responsible for creating that transfer (either created directly via CreateTransfer or indirectly via ExecuteHold)
Api-Signature. Replace TRANSFER_ID in the path with the actual transfer ID before signing.
Authorizations
An API key associated with a security role
Headers
A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.
Construction example:
toHex(
ed25519Sign(
signing_key,
'{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
)
)^[0-9A-Fa-f]{128,160}$Current timestamp, represented as unix epoch seconds
Path Parameters
The ID of the transfer to cancel
Response
Transfer request successfully cancelled

